# Uses of Class
javax.swing.JOptionPane

Packages that use JOptionPane
Package
Description
javax.swing.plaf
Provides one interface and many abstract classes that Swing uses to provide its pluggable look-and-feel capabilities.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.plaf.multi
Provides user interface objects that combine two or more look and feels.

## Uses of JOptionPane in javax.swing.plaf

Methods in javax.swing.plaf with parameters of type JOptionPane
Modifier and Type
Method
Description
`abstract boolean`
OptionPaneUI.`containsCustomComponents(JOptionPane op)`
Returns true if the user has supplied instances of Component for either the options or message.
`abstract void`
OptionPaneUI.`selectInitialValue(JOptionPane op)`
Requests the component representing the default value to have focus.

## Uses of JOptionPane in javax.swing.plaf.basic

Fields in javax.swing.plaf.basic declared as JOptionPane
Modifier and Type
Field
Description
`protected JOptionPane`
BasicOptionPaneUI.`optionPane`
`JOptionPane` that the receiver is providing the look and feel for.
Methods in javax.swing.plaf.basic with parameters of type JOptionPane
Modifier and Type
Method
Description
`boolean`
BasicOptionPaneUI.`containsCustomComponents(JOptionPane op)`
Returns true if in the last call to validateComponent the message or buttons contained a subclass of Component.
`void`
BasicOptionPaneUI.`selectInitialValue(JOptionPane op)`
If inputComponent is non-null, the focus is requested on that, otherwise request focus on the default value

## Uses of JOptionPane in javax.swing.plaf.multi

Methods in javax.swing.plaf.multi with parameters of type JOptionPane
Modifier and Type
Method
Description
`boolean`
MultiOptionPaneUI.`containsCustomComponents(JOptionPane a)`
Invokes the `containsCustomComponents` method on each UI handled by this object.
`void`
MultiOptionPaneUI.`selectInitialValue(JOptionPane a)`
Invokes the `selectInitialValue` method on each UI handled by this object.